PHP 5.0.4 and Apache 2.0.54

June 11th, 2005 by Andrew

I spent nearly 4 hours upgrading PHP and Apache on my server here. I’ve attempted it before, but I’ve never made it very far. I finally followed the steps suggested by PHP, and everything actually works, as you can see if you’re looking at this page right now. After doing some stupid things, like pointing PHP at old versions of files, not rewriting over old files, and other random dumb things, it all works. This upgrade will add some much-needed PHP functions that I’ve been wanting on this server. The old versions were Apache 2.0.40 and PHP 4.2.2. PHP desperately needed an upgrade, while the Apache upgrade was just for any new fixes the minor upgrade added.

Comments

There are no comments.

Leave a Reply